LPPOM HALAL bugs - Feature #253

LPPOM - Accounting Income Payment
03/30/2021 06:17 PM - Andi Saputra

Status: Closed Start date: 03/30/2021
Priority: Immediate Due date: 04/27/2021
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Team Devloper,

Mohon untuk dapat dibuatkan validasi pada menu Income Payment, validasinya jika ada proses penambahan dan input GL Account
nya tidak sesuai dengan data di parameter maka tidak bisa di save.

port : 61119
Db : server77/2014 LPPOM PROD

History

#1 - 03/31/2021 02:31 PM - Andi Saputra

- File contoh format neraca.xlsx added

format

#2 - 04/16/2021 01:55 PM - Kezia Pawitra Yulianti
- Due date changed from 04/01/2021 to 04/20/2021
- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to Tri Rizgiaty

ini berlaku untuk semua doc Finance yaa, jangan hanya Income Payment saja
Tks

#3 - 04/21/2021 09:24 AM - Kezia Pawitra Yulianti

- Due date changed from 04/20/2021 to 04/23/2021

- Priority changed from High to Immediate

nitip ini Yoms, jangan kelupaan

Tks

#4 - 04/23/2021 09:25 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

#5 - 04/26/2021 03:20 PM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti
Fixing :

Update Ul : document.js

#6 - 04/27/2021 01:30 PM - Kezia Pawitra Yulianti

- File clipboard-202104271327-s1wo7.png added
- File clipboard-202104271329-pyzpb.png added
- Due date changed from 04/23/2021 to 04/27/2021
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Dear Yomma,

berikut ya hasil testing nya:

1. Saat input GL Account yg tidak ada di dalam tabel paremeter, sudah muncul validasi dan tidak bisa saving
2. Saat kolom GL Account dikosongkan dan saving, muncul loading terus spt capture di bawah ini

Income Payment

Home & Income Payment

Document Header

Customer ID:

. T 20 Number:
Fiscal Year: 2021 L.

Faktur Number: Loading...

Fiscal Period:

Document Detail

Finance ltem

O Add [ Delete

GL Account Debet Amount Credit Amount Currency Description Item 5Status | Sub Ledger Type
r - v - "

1 100.000.00 100.000.00 Rp test]

3. saat di refresh dan di coba create ulang, add ite namun GL Account di kosongkan belum ada validasi dan masih sukses saving

Home # Income Payment

wf S3ve successiull

Document Header

Document Number: 00043713 Company ID: LPPOM MUI v
Mo Voucher: Posting Date: 30/03/2021 2
Document Date: 27/04/2021 g Fiscal Period: 03-2021

Description: Document Status: Drafe -

Customer ID:

Document Detail

Finance ltem
Add

GL Account Debet Amount Credit Amount Currency Description Item Status Sub Ledger Type Sub Ledger ID

1 75,000.00 7500000 Rp test2

Seharusnya untuk poin 2 dan 3, tidak bisa create doc dan add item jika GL Account nya kosong.
Mohon perbaikannya ya

Thanks

#7 - 04/30/2021 09:36 AM - Tri Rizqgiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#8 - 05/03/2021 09:40 PM - Kezia Pawitra Yulianti
- File clipboard-202105032139-leqeo.png added
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

Dear Yomma,

validasi sudah muncul dan tidak bisa saving kalau kolom gl account tidak terisi atau diisi dengan aku yg tidak ter daftar di parameter.

Namun untuk message jika kolom kosong masih belum sesuai ssi capture di bawah

Income Payment

Home » Income Payment

BFILO14 - Can't save this document, because wrang gl sccount

Document Header

Description:

Fiscal Year: 3021

Faktur Number:

Document Detail

Finance ltem

© Add I Delete
GL Account Debet Amount Credit Amount Currency

r r

1 ©60.000.00 60.000.,00 Rp

Message di rubah menjadi 'Can't save this document, because column gl account can't empty'

Tks

#9 - 05/04/2021 09:30 AM - Tri Rizqgiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

#10 - 05/05/2021 09:28 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

done Yomma, silahkan di deploy yaa

Thanks

#11 - 05/21/2021 04:08 PM - Tri Rizgiaty
- File Deploy LPPOM 20210521.zip added
Berikut fixing untuk validasi finance document, period control & logging period :

1. Copy Paste parameter di file excel ke tabel masing

2. Copy Paste dll (terkirim via whatsapp) sesuai ke API1 & API2, jangan lupa back up terlebih dahulu
3. Copy Paset file Ul js (terkirim via whatsapp), sesuai folder, jangan lupa back up terlebih dahulu

4. Execute SP/Query terlampir, jangan lupa back up terlebih dahulu

#12 - 04/11/2022 04:50 PM - Mr. Yusuf
- Status changed from Deploy to Closed

Files

contoh format neraca.xlsx 24 KB 03/31/2021 Andi Saputra
clipboard-202104271327-s1wo7.png 34.1 KB 04/27/2021 Kezia Pawitra Yulianti
clipboard-202104271329-pyzpb.png 37.4 KB 04/27/2021 Kezia Pawitra Yulianti
clipboard-202105032139-legeo.png 22.9 KB 05/03/2021 Kezia Pawitra Yulianti
Deploy LPPOM 20210521.zip 135 KB 05/21/2021 Tri Rizgiaty
